Bug # 4356 (Closed): Infant Feeding CRF validations

INFANT FEEDING FORM GIVING WRONG ERROR MESSAGE

10/12/2018 16:00 - Keolebogile Nicholas Mmasa

Status: Closed Start date: 10/12/2018

Priority: Normal Due date:

Assignee: % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

On the infant feeding form, when answering question 3 as YES, the Q4 as NO, question 5 which requires date of solid feed introduction

should be blank, (i ;left it blank, see attached) however, in this scenario the form throws error message that "Date cannot be a future date,

visit date is 2017-02-17.

I think this issue could be related to Redmine issue4336 and 4356 because these break in feeding form validations occurred after

deploying these issues.

History

#1 - 10/12/2018 16:00 - Keolebogile Nicholas Mmasa

- Parent task changed from #4336 to #4356

#2 - 08/01/2019 16:37 - Itumeleng Mosweu

- Status changed from New to Resolved

#3 - 29/01/2019 19:54 - Keolebogile Nicholas Mmasa

- Status changed from Resolved to Closed

resolution was take to look at ALL validations on this form, of which Tumie made a validations document and with lot of back and forth, this form finally

works well..final validation document with Tumi/DMC

issue closed
